:root {
    --bg: #000000;
    --text: #FFFFFF;
    --accent: #5EEAFF;
    --hover: #FFFFFF;
}


body {
    background-color: var(--bg);
    color: var(--text);
    font-family: "Consolas", monospace;
    font-size: 16px;
    
    animation: flicker .2s infinite;
    filter: contrast(1.05) saturate(1.1);
}


a {
    color: var(--accent);
    text-decoration: none;
}

a:hover {
    color: var(--hover);
}

@keyframes flicker {

    0%   { opacity: .98; }
    25%  { opacity: 1; }
    50%  { opacity: .97; }
    75%  { opacity: .99; }
    100% { opacity: .98; }

}

.screen {
    animation: flicker .2s infinite;
    min-height: 100vh;
    width: 100%;
    position: relative;
}

.cursor{
     color: var(--text);

    animation: blink 1s step-end infinite;

    
}

@keyframes blink{
    50%{
        opacity: 0;
    }
}

#menu, 
#content {
    display: none;
    
}

#title {
    margin: 0;
}

nav {
    display: flex;
    gap: 30px;

}


nav a {
    color: var(--accent);
    text-decoration: none;

}

nav a:hover {
    color: var(--text);

}


img {

    max-width: 800px;

}


.gallery {

    display: flex;

    gap: 40px;

}



.project-card img {

    width: 100%;

}

.projects {
    display:flex;
    flex-direction: column;
    gap:40px;
    margin-top:40px;
}

.project-card {

    display: flex;
    gap: 30px;
    align-items: center;
    padding: 20px;
    border: 1px solid #444;
    transition: .2s;

}

.project-card:hover {

    border-color: white;
    background: rgba(255,255,255,.03);

}

.project-card img {

    width: 220px;
    height: 140px;
    object-fit: cover;

}

.project-info {

    display: flex;
    flex-direction: column;
    gap: 8px;

}

.file-tree {

    color: #ffffff;
    font-family: "JetBrains Mono", monospace;
    font-size: 18px;
    line-height: 1.5;
    

}

.project-header {

    border: 1px solid var(--accent);

    padding: 30px;

    margin: 40px 0px;

}

.project-media img {

    width: 100%;

    max-width: 1200px;

    border: 1px solid #5EEAFF;

    box-shadow:
        0 0 20px rgba(94,234,255,.3);

}

.gallery {

    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;

    margin: 40px 0;

}

.gallery img {

    width: 100%;
    max-width: 900px;

    border: 1px solid white;

}

.gallery button {

    background: none;
    border: none;

    color: var(--accent);
    

    cursor: pointer;

    transition: .2s;

}

.gallery button:hover {

    color: var(--hover);

}